package com.qmth.distributed.print.business.bean.result.report.word;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 考生分数bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/1/31
 */
public class ExamStudentScoreBean implements Serializable {

    @ApiModelProperty(name = "作业分数")
    BigDecimal score = new BigDecimal(0);

    @ApiModelProperty(name = "课程目标考核要素的目标分")
    BigDecimal targetAllAvgScore = new BigDecimal(2);

    @ApiModelProperty(name = "课程目标考核要素的平均分")
    BigDecimal allScore = new BigDecimal(0);

    @ApiModelProperty(name = "各课程目标平均分")
    BigDecimal avgAllScore = new BigDecimal(0);

    public ExamStudentScoreBean() {

    }

    public ExamStudentScoreBean(BigDecimal score) {
        this.score = score;
    }

    public ExamStudentScoreBean(BigDecimal score, BigDecimal targetAllAvgScore, BigDecimal avgAllScore) {
        this.score = score;
        this.targetAllAvgScore = targetAllAvgScore;
        this.avgAllScore = avgAllScore;
    }

    public BigDecimal getAllScore() {
        return allScore;
    }

    public void setAllScore(BigDecimal allScore) {
        this.allScore = allScore;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public BigDecimal getTargetAllAvgScore() {
        return targetAllAvgScore;
    }

    public void setTargetAllAvgScore(BigDecimal targetAllAvgScore) {
        this.targetAllAvgScore = targetAllAvgScore;
    }

    public BigDecimal getAvgAllScore() {
        return avgAllScore;
    }

    public void setAvgAllScore(BigDecimal avgAllScore) {
        this.avgAllScore = avgAllScore;
    }
}
